Name: 		migration-tools
Version:	1.0.0
Release:	5
Summary:	A tool to help users migrate the Centos system to the UOS system and openEuler system
License:	MulanPSL-2.0
Source0:	ut-Migration-tools.tar.gz
Patch0:		0001-fix-export-error-and-no-migration-details-issue.patch
Patch1:		0002-fix-uefi-boot-failed.patch
Patch2:		0003-modify-grub-rules-to-match-NIC-name.patch
BuildArch: 	noarch
%description
UOS Migration Software

%package -n migration-tools-server
Summary: 	migration-tools-server
License: 	MulanPSL-2.0
Requires:	python3
Requires:	python3-pip
Requires:	sshpass
Requires:	python3-paramiko
Requires:	python3-flask
Requires:	python3-requests

%description -n migration-tools-server
Migration software server side


%prep
%setup -c
%patch0 -p1
%patch1 -p1
%patch2 -p1

%install
rm -rf %{buildroot}
mkdir -p $RPM_BUILD_ROOT/usr/lib/migration-tools-server
mkdir -p $RPM_BUILD_ROOT/var/tmp/uos-migration
%{__mkdir_p}  $RPM_BUILD_ROOT/etc/migration-tools

cp -r ut-Migration-tools/* $RPM_BUILD_ROOT/usr/lib/migration-tools-server/

# Install server config
%{__cp} -r $RPM_BUILD_ROOT/usr/lib/migration-tools-server/server/migration-tools.conf $RPM_BUILD_ROOT/etc/migration-tools


%post -n migration-tools-server
mkdir -p /etc/migration-tools
mkdir -p /var/tmp/uos-migration
cp -r /usr/lib/migration-tools-server/server/migration-tools-server.service /usr/lib/systemd/system/
chmod +x /usr/lib/migration-tools-server/server/start_webview.sh
ln -s /usr/lib/migration-tools-server/server/start_webview.sh /usr/bin/migration-tools
systemctl daemon-reload
systemctl restart migration-tools-server.service
systemctl enable migration-tools-server.service

%postun -n migration-tools-server
systemctl disable migration-tools-server.service
rm -rf /usr/lib/migration-tools-server/
rm -rf /usr/lib/migration-tools
rm -rf /usr/bin/migration-tools
rm -rf /usr/lib/systemd/system/migration-tools-server.service

%files -n migration-tools-server
/etc/migration-tools
/usr/lib/migration-tools-server

%changelog
* Fri Dec 08 2023 lixin <lixinb@uniontech.com> - 1.0.0-5
- rebuild: modify patch number to adapt 22.03-lts-sp3

* Wed Sep 06 2023 lixin <lixinb@uniontech.com> - 1.0.0-4
- fix: fix uefi boot failed
- fix: modify grub rules to match NIC name after migration

* Tue Aug 22 2023 lixin <lixinb@uniontech.com> - 1.0.0-3
- feat: add aarch64 agent package

* Mon Aug 21 2023 lixin <lixinb@uniontech.com> - 1.0.0-2
- fix export log and migration report error
- fix no migration detail error

* Wed Aug 16 2023 lixin <lixinb@uniontech.com> - 1.0.0-1
- init
